Bug 213794 - system beep in Gnome should be disabled by default and more tweakable
system beep in Gnome should be disabled by default and more tweakable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
:
: 378051 445768 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-02 18:57 EST by Vladimir Kotal
Modified: 2009-07-14 12:52 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:52:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vladimir Kotal 2006-11-02 18:57:17 EST
Description of problem:
After upgrading from FC5 to FC6 system beep (via speaker) in gnome was turned
on. In previous FC5 installation there was no system beep so I had to turn it
off for all users via /usr/bin/gnome-sound-properties.

Version-Release number of selected component (if applicable):
control-center-2.16.0-9.fc6

How reproducible:
upgrade from FC5 to FC6

Actual results:
system beep is on

Expected results:
system beep should be off by default

Additional info:
Moreover, ALSA should be used for system beep to make them sound more nice.
(system beep via speaker is just awful) User could e.g. select sound for "system
beep" (e.g. select ogg/wav file to be played)
Comment 1 David Zeuthen 2006-11-02 19:04:41 EST
Wrong component. Reassigning.
Comment 2 Bastien Nocera 2007-02-15 10:52:07 EST
(In reply to comment #0)
> Description of problem:
> After upgrading from FC5 to FC6 system beep (via speaker) in gnome was turned
> on. In previous FC5 installation there was no system beep so I had to turn it
> off for all users via /usr/bin/gnome-sound-properties.

You can turn it off for the whole system using GConf directly, or better, using
Sabayon.

<snip>
> Expected results:
> system beep should be off by default

We can't disable the system beep by default, as it is used for accessibility.

> Additional info:
> Moreover, ALSA should be used for system beep to make them sound more nice.
> (system beep via speaker is just awful) User could e.g. select sound for "system
> beep" (e.g. select ogg/wav file to be played)

Changing the system beep should be possible with PulseAudio, which should be in
Fedora 7:
http://pulseaudio.org/wiki/CLI
Comment 3 Christopher Brown 2007-03-02 07:01:20 EST
(In reply to comment #2)

> We can't disable the system beep by default, as it is used for accessibility.

This doesn't make much sense. I'm all for accessibility but the pc speaker beeps
every time I try and use autocomplete in bash as well other places where it
simply isn't needed for most users (such as the login). Accessibility should be
enabled by default on installation and allow a positive selection of such
features rather than forcing users to rmmod pcskpr, edit modprobe.conf etc.

I can't emphasise this enough - this "feature" is really, really annoying - its
even listed on the FC6 bugs page.

Regards
Chris
Comment 4 Vladimir Kotal 2007-03-04 08:33:20 EST
Cannot agree more with what Chris said. Moreover, shouldn't Accessibility
features be made accessible ? What about providing a "knob" to turn all
Accessibility features off ? 

I would really like to have the possibility to choose (not via tinkering with
modprobe etc.) between having beep, custom sound or no sound/beep.
Comment 5 Bug Zapper 2008-04-03 14:35:11 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Vladimir Kotal 2008-04-06 16:05:02 EDT
This bug is still present in FC8.
Comment 7 Bastien Nocera 2008-05-08 20:11:10 EDT
*** Bug 445768 has been marked as a duplicate of this bug. ***
Comment 8 Bastien Nocera 2008-05-08 20:11:46 EDT
*** Bug 378051 has been marked as a duplicate of this bug. ***
Comment 9 Bastien Nocera 2008-05-13 19:26:19 EDT
*** Bug 446297 has been marked as a duplicate of this bug. ***
Comment 10 Bastien Nocera 2008-05-13 19:28:21 EDT
For people using Fedora 9:
http://docs.fedoraproject.org/release-notes/f9/en_US/sn-Desktop.html#sn-DisablingPCSpeaker
Comment 11 Amanda Christensen 2008-08-25 17:42:35 EDT
I'm running Fedora 9. I attempted the solution in Comment #10 on this page and I still get the beep whenever the computer falls asleep or wakes up and whenever I plug or unplug it.
Comment 12 John Poelstra 2008-08-25 19:32:52 EDT
bumping to F9 based on comment #11
Comment 13 Bug Zapper 2009-06-09 18:20:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 12:52:45 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.